pipeline{
agent any

      
stages {
 stage('Checkout GIT'){
                steps{
                    echo 'Pulling...';
                    git branch: 'main',
                    url : 'https://gitlab.com/montassar.gam/ds.git'
                             }
                             }
                             
   




			    stage('Build docker image'){
                             steps{
                                 script{
                                    sh 'docker build -t montassar18/examen .'
                                 }
                             }
                         }


      stage('Docker login') {

                                         steps {
                                          sh 'echo "login Docker ...."'
                   	sh 'docker login -u montassar18 -p 18061996..gam'
                               }  }
		 stage('Docker push') {

                 steps {
                      sh 'echo "Docker is pushing ...."'
                     	sh 'docker push montassar18/examen'
                        }  }
                        
                        

}

}
